//
//  ViewController.m
//  CBBadgeView
//
//  Created by 陈彬 on 2017/9/12.
//  Copyright © 2017年 chenb. All rights reserved.
//

#import "ViewController.h"
#import "UIView+CBBadge.h"
#import "UIBarButtonItem+CBBadge.h"
#import "CBTableViewCell.h"

@interface ViewController () <UITableViewDataSource,UITableViewDelegate>
@property (nonatomic, weak) UITableView *tableView;

@end

static NSString *CBTableViewCellReuseID = @"CBTableViewCell";
@implementation ViewController
- (void)viewDidLoad {
    [super viewDidLoad];
    [self configFile];
}

- (void)configFile {
//    navigationItem title
    UILabel *titleLabel = [[UILabel alloc]initWithFrame:CGRectMake(0, 0, 100, 100)];
    titleLabel.text = @"CBBadge";
    titleLabel.font = [UIFont systemFontOfSize:20];
    titleLabel.textColor = [UIColor brownColor];
    self.navigationItem.titleView = titleLabel;
    
//    left item
    self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemEdit target:nil action:nil];
    self.navigationItem.leftBarButtonItem.cb_badge = [CBBadge cb_Badge];
    [self.navigationItem.leftBarButtonItem.cb_badge setBadgeValue:10];
    
//    right item
    UIBarButtonItem *rightItem = [[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemCamera target:nil action:nil];
    NSLog(@"%@",rightItem.bottomView);
    //    attention: 请注意，必须在第43行代码完成之后，才能设置badge。经过测试发现，只有43行代码执行完成，UIBarButtonItem中才有视图，我们猜测，系统是在set方法中添加UIBarButtonItem的子视图。
    self.navigationItem.rightBarButtonItem = rightItem;
    NSLog(@"%@",rightItem.bottomView);
    rightItem.cb_badge = [CBBadge cb_Badge];
    [rightItem.cb_badge setBadgeValue:20];
    
//    tableView
    UITableView *tableView = [[UITableView alloc]init];
    tableView.frame = self.view.bounds;
    self.tableView = tableView;
    [self.view addSubview:tableView];
    tableView.delegate = self;
    tableView.dataSource = self;
    tableView.rowHeight = 60;
    [tableView registerNib:[UINib nibWithNibName:CBTableViewCellReuseID bundle:[NSBundle mainBundle]] forCellReuseIdentifier:CBTableViewCellReuseID];
    
}

#pragma mark - UITableViewDataSource

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 150;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    CBTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CBTableViewCellReuseID];
    cell.titleLabel.text = [NSString stringWithFormat:@"%ld",indexPath.row];
    cell.titleLabel.cb_badge = [CBBadge cb_Badge];
    [cell.titleLabel.cb_badge setBadgeValue:indexPath.row];
    return cell;
}

@end
